[intrepid] Compaq Presario CQ50 cannot install/boot

Bug #287244 reported by Roy Jamison on 2008-10-21
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by Alex Valavanis
linux-restricted-modules (Ubuntu)
High
Unassigned
Nominated for Jaunty by Alex Valavanis

Bug Description

Ubuntu Intrepid beta iso from main ubuntu donwload page.

Cannot install Intrepid, or Hardy for that matter.

Managed to install Intrepid through Wubi from Vista.

On bootup, the uspalsh screen stops after about 5-10%ish. I tried the ACPI problem boot option and the bootup halted at SATA drive detection.

I am using a Compaq Presario CQ50-110EM laptop and I have seen others with this problem, which has now regressed into Intrepid.

I am guessing that HP/Compaq have implemented some form of protection against installing any linux distro as I have tried others and tried several versions of *buntu.

I am unsure how to grab a log of the bootup for problem solving, but am an avid Ubuntu user and want to see it working on this laptop.

Thanks guys

Addition : I have also tried the latest daily ISO 21st October, both the alternate and live versions, and neither work...BUT the alternate makes it as far as the installer and begins to partition the drive, but then fails.

Update: Have tried the final release of Intrepid same problem. I managed to take a quick camera shot of the last thing it showed before the kernel halted on live cd bootup:

pci_match_id+0x9/0xa0
pci_device_probe+0xe0/0x140
sysfs_create_link+0x13/0x20
really_probe+0x72/0x1a0
driver_probe_device+0x50/0x60
__driver_attach+0x8b/0x90
__driver_attach+0x0/0x90
bus_for_each_dev+0x6b/0xa0
kmem_cache_alloc+0x8b/0xd0
init_ath_pci+0x0/0x66 [ath_pci]
driver_attach+0x21/0x30
bus_add_driver+0x1f8/0x270
init_ath_pci+0x0/0x66 [ath_pci]
driver_register+0x75/0x170
__pci_register_driver+0x72/0xc0
init_ath_pci+0x0/0x66 [ath_pci]
init_ath_pci+0x3f/0x66 [ath_pci]
do_one_initcall+0x41/0x170
__blocking_notifier_call_chain+0x21/0x90
sys_init_module+0xb5/0x1f0
system_call_fastpath+0x16/0x1b

------[end trace]-----

I don't see the point putting the CPU cycle times on the left bit in it didn't seem relevant.

I have Googled around and it doesn't seem to just be Ubuntu, on several forums the problems seem to be the Atheros drivers locking up the kernel, and also older SATA/AHCI drivers seem to cause issues with the drives in this laptop.

Any help on this problem at all, or if anyone else has this same laptop and can confirm (or not) this problem.

Roy Jamison (xteejx) on 2008-10-23
description: updated
Roy Jamison (xteejx) on 2008-10-31
description: updated
Roy Jamison (xteejx) on 2008-11-01
description: updated
Dimitrios Symeonidis (azimout) wrote :

teej, let me get this straight:
the livecd boots fine, all the way into a gnome session, and you can use the live session without problems...
but if you try to install on the system, the installation fails and you get a kernel oops?

from the livecd session, can you attach here the output of "lspci -nn"?

Roy Jamison (xteejx) wrote :

I'll explain a bit better sorry.

On bootup from the Live CD it does "boot". Well if you can call getting to the usplash screen booting.
It gets to the usplash and after about 30 seconds or so, that's when it hits the above problems.

Dimitrios Symeonidis (azimout) wrote :

teej, could you download the final release of teej of intrepid and try again?

Roy Jamison (xteejx) wrote :

This is final release version :)

Roy Jamison (xteejx) wrote :

Apparently this problem is linux-wide and not just me:

http://www.linux-laptop.net/forum/showthread.php?t=5850

Dimitrios Symeonidis (azimout) wrote :

you could try this to blacklist the module, but it's rather complicated:
http://georgia.ubuntuforums.org/showthread.php?p=6026999

Roy Jamison (xteejx) wrote :

Unfortunately I am unable to do this as I only have this 1 laptop and cannot boot into any linux distro to be able to do it. I have tried adding brokenmodules=ath_pci to the live cd boot options but to no avail.

Roy Jamison (xteejx) wrote :

Managed to take a pic of the error messages when the kernel paniced, might give some insight.

Dimitrios Symeonidis (azimout) wrote :

teej, here's what i would propose you do:
get the previous release of ubuntu (8.04 hardy heron) and burn it on a live cd
this one should work and you should be able to boot and install it...
starting from there we can do a lot more...

Roy Jamison (xteejx) wrote :

OK, I have burned and tested the ISO for 8.04.1 Hardy.

Problems as before, removed splash and quiet from live cd boot options, so will attach photo of the last screen before kernel panic.

Roy Jamison (xteejx) wrote :

Basically it's asking to run the error through mcelog as its a hardware problem, but I can assure you it definately isn't!!
This laptop isn't even 2 weeks old, and 2 days after buying it I tried the Intrepid release at that time Alpha 5 i think, might have been the RC not sure.

To clarify:

HARDWARE ERROR
CPU 0: Machine Check Exception: 4 Bank 4: b600000000070f0f
TSC 3ff606a69a ADDR 900000c2004001
This is not a software problem!
Run through mcelog --ascii to decode and contact your hardware vendor
Kernel panic - not syncing: Machine check

Roy Jamison (xteejx) wrote :

Have now tried using kernel option brokenmodules=ath_pci on Intrepid live CD - kernel panic again, photo attached.

Savvas Radevic (medigeek) wrote :

teej, if you're not lucky with boot parameters from https://help.ubuntu.com/community/BootOptions , can you try and boot with knoppix? http://www.knoppix.net/get.php
(I know it's big, but ogra mentioned in IRC that it doesn't include the madwifi modules)

Roy Jamison (xteejx) wrote :

Here are the results from all 15!! boot options...

pci=off - no boot at all, dropped to busybox no further errors

the other 14 I cannot type out so will post the photos for further info

nosata option attached

Roy Jamison (xteejx) wrote :

acpi=off

Roy Jamison (xteejx) wrote :

acpi=force

Roy Jamison (xteejx) wrote :

pci=noacpi

Roy Jamison (xteejx) wrote :

pci=acpi

Roy Jamison (xteejx) wrote :

acpi_irq_balance

Roy Jamison (xteejx) wrote :

acpi_irq_nobalance

Roy Jamison (xteejx) wrote :

acpi=oldboot

Roy Jamison (xteejx) wrote :

acpi=ht

Roy Jamison (xteejx) wrote :

noapic

Roy Jamison (xteejx) wrote :

nolapic (dropped to busybox)

Roy Jamison (xteejx) wrote :

apm=off

Roy Jamison (xteejx) wrote :

irqpoll

Roy Jamison (xteejx) wrote :

xforcevesa

Roy Jamison (xteejx) wrote :

Tried latest Knoppix from their website as suggested to no avail.

Error:

Can't find KNOPPIX silesystem, sorry.
Dropping you to a (very limited) shell.
Press reset button to quit.

No other info was given on the screen unfortunately to trace the problem.

Savvas Radevic (medigeek) wrote :

teej, have you tried with 32-bit Ubuntu Intrepid?

Also, I don't know if it's possible, but try in BIOS to disable unnecessary devices and set SATA to compatible/legacy (or enhanced for change). And make your CPU to use one core and disable any hyperthreading/virtualization/whatever options (if possible)! You know, minimalise it :)

Finally, try booting off 64-bit or 32-bit cds along with these two boot options (together): noapic pci=noacpi

Roy Jamison (xteejx) wrote :

I have tried with 32 bit yes and there are no changeable BIOS options other than the date/time unfortunately.
I also have tried those 2 boot options together still no luck, same errors and kernel panic.

Bogs (bogdan-is-me) wrote :

Hello everyone! I own a Compaq Presario CQ50-215NR and I have the exact same problem! I managed to boot Hardy 32bit [with the extra boot option generic.all_generic_ide=1] and then to get the wireless working(AR5007), I had to install the latest madwifi driver version 0.10.5.6.

With Intrepid x64 [and Hardy x64], I tried all the boot options and different combinations from https://help.ubuntu.com/community/BootOptions with no success. If only there was a boot option we could disable the ath_pci module from loading while booting from the LiveCD [brokenmodules=ath_pci didn't work]. I should also mention that the BIOS on my machine is extremely restrictive, with the only option I can change being pretty much the boot order, so there is no way for me to disable the wireless card from BIOS.

I haven't tried Intrepid 32bit, because the 64bit flavor is the one I really want. With that being said, any help would be highly appreciated. And Teej, you're not alone in this...

Roy Jamison (xteejx) wrote :

Changed to confirmed as it appears now that the Compaq Presario and its hardware is the culprit. Now if we can just find someone who knows what this generic.all_generic_ide=1 option changes perhaps it can be changed permanently, and then the wifi drivers updated to the above driver version?

Roy Jamison (xteejx) wrote :

PS thankyou Bogs!!

I will try 32 bit 8.04.1 with the generic.all_generic_ide=1 boot optoin and report back.

Dimitrios Symeonidis (azimout) wrote :

assigned to the linux source package, as indicated here:
https://wiki.ubuntu.com/Bugs/FindRightPackage

also, teej, you are not supposed to confirm your own bug reports. the confirmed state is correct, but don't do that in the future...

Roy Jamison (xteejx) wrote :
Download full text (7.2 KiB)

Did not realise that, I assumed it was OK as I wasn't the only one with the problem as it was confirmed by someone else. Not to worry it won't happen again anyway :)

Nevertheless, trying 8.04.1 i386 version with the generic.all_generic_ide=1 cd boot option I can confirm this works fine.

After installing, the system is fine apart from wifi and a slight sound problem but these are detailed in other bug reports so I will not put anything here other than it is present on my laptop too.

Massive thanks to those who helped!

Any further info needed just let me know.

I am also putting an lspci -nnv output below:

00:00.0 RAM memory [0500]: nVidia Corporation Unknown device [10de:0754] (rev a2)
 Subsystem: Hewlett-Packard Company Unknown device [103c:360a]
 Flags: bus master, 66MHz, fast devsel, latency 0
 Capabilities: <access denied>

00:01.0 ISA bridge [0601]: nVidia Corporation Unknown device [10de:075e] (rev a2)
 Subsystem: Hewlett-Packard Company Unknown device [103c:360a]
 Flags: bus master, 66MHz, fast devsel, latency 0
 I/O ports at 1a00 [size=256]

00:01.1 SMBus [0c05]: nVidia Corporation Unknown device [10de:0752] (rev a1)
 Subsystem: Hewlett-Packard Company Unknown device [103c:360a]
 Flags: 66MHz, fast devsel, IRQ 10
 I/O ports at 3080 [size=64]
 I/O ports at 3040 [size=64]
 I/O ports at 3000 [size=64]
 Capabilities: <access denied>

00:01.3 Co-processor [0b40]: nVidia Corporation Unknown device [10de:0753] (rev a2)
 Subsystem: Hewlett-Packard Company Unknown device [103c:360a]
 Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 11
 Memory at c0080000 (32-bit, non-prefetchable) [size=512K]

00:01.4 RAM memory [0500]: nVidia Corporation Unknown device [10de:0568] (rev a1)
 Subsystem: Hewlett-Packard Company Unknown device [103c:360a]
 Flags: 66MHz, fast devsel

00:02.0 USB Controller [0c03]: nVidia Corporation Unknown device [10de:077b] (rev a1) (prog-if 10 [OHCI])
 Subsystem: Hewlett-Packard Company Unknown device [103c:360a]
 Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 18
 Memory at c0006000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: <access denied>

00:02.1 USB Controller [0c03]: nVidia Corporation Unknown device [10de:077c] (rev a1) (prog-if 20 [EHCI])
 Subsystem: Hewlett-Packard Company Unknown device [103c:360a]
 Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 18
 Memory at c0007000 (32-bit, non-prefetchable) [size=256]
 Capabilities: <access denied>

00:04.0 USB Controller [0c03]: nVidia Corporation Unknown device [10de:077d] (rev a1) (prog-if 10 [OHCI])
 Subsystem: Hewlett-Packard Company Unknown device [103c:360a]
 Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 19
 Memory at c0008000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: <access denied>

00:04.1 USB Controller [0c03]: nVidia Corporation Unknown device [10de:077e] (rev a1) (prog-if 20 [EHCI])
 Subsystem: Hewlett-Packard Company Unknown device [103c:360a]
 Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 19
 Memory at c0007400 (32-bit, non-prefetchable) [size=256]
 Capabilities: <access denied>

00:06.0 IDE interface [0101]: nVidia Corporation Unknown device [10de:0759] (rev a1) (prog-if 8a [Master SecP PriP])
 Subsystem: He...

Read more...

Dimitrios Symeonidis (azimout) wrote :

teej, don't thank us, you did all of this work yourself!

and don't worry about the bug status changing, i just told you this for any future bug reports you might file :-)

another remark on launchpad etiquette: when you want to attach to a bug report the output of a command, unless it's just a few lines, you should forward the output to a file and attach the file to your comment, instead of pasting it into the comment. i did this for you in this case :-)

keep up the good work! enjoy ubuntu!

Dimitrios Symeonidis (azimout) wrote :

now, what remains to be determined is whether the problem was the atheros wifi (168c:001c) or your ide/sata interfaces (nvidia, a) 10de:0ad0, b) 10de:0759)

Dimitrios Symeonidis (azimout) wrote :

i can see from my /usr/share/misc/pci.ids:
the 10de:0759 is the MCP78S [GeForce 8200] IDE
while the 10de:0ad0 is undefined...
however, from lkddb we know the 0ad0 is a SATA controller
http://cateee.net/lkddb/web-lkddb/SATA_AHCI.html

Dimitrios Symeonidis (azimout) wrote :

this stops users from booting the livecd, so marking as importance=high

Changed in linux:
importance: Undecided → High
Alex Valavanis (valavanisalex) wrote :

I can confirm the same problem on my CQ50-110em laptop. I managed to install Intrepid 64-bit using the alternative installation CD, but I receive the same errors reported here when I try to boot from grub.

I'm not sure if it's relevant, but I previously managed to install the 32-bit version using the alternative install release candidate CD, without having to modify any boot options. I then installed the backports kernel modules and the Atheros wireless adapter "just worked".

Bogs (bogdan-is-me) wrote :

 After I read Alex's comment, I had an idea...I knew how to blacklist modules once Ubuntu was installed, but didn't know how to blacklist them while booting from LiveCD [I still don't know if you can]. So I did the following:

1. Installed Intrepid x64 from the Alternate Cd. Things don't look that pretty as they do with LiveCD, but installation went smooth. Trying to boot into Ubuntu now, I end up with the same error message at ath_pci 0.9.4 and then the stack trace Teej first posted.

2. I booted Ubuntu 8.04 32bit LiveCD [as described above], then went to the drive I installed Intrepid to, navigated to /etc/modprobe.d/ and then added the following lines to the file 'blacklist':
         blacklist ath_pci
         blacklist ath5k
         blacklist ath_hal
[I think you only need to blacklist ath_pci, but at this time I was too excited to see if this works, so I put all 3 in]

3. Intrepid 64bit now booted successfully [yee!]. Then I installed the madwifi 0.10.5.6 driver [I got wireless working] and removed the added lines from /etc/modprobe.d/blacklist. Next time I booted the system, everything went smooth and wireless was working!

The NVIDA driver is still not working properly, but this time the sound works flawlessly out-of-the-box!
I hope this works for you too and I'd like to thank everyone for coming up with ideas and support! Hopefully by the time the next version of Ubuntu is released, the buggy ath_pci 0.9.4 is gone and ath_pci 0.10.5 is included by default.

Alex Valavanis (valavanisalex) wrote :

The following workaround fixed this problem for me, for 64-bit Intrepid on the CQ50-110EM laptop. It's inspired by Bogs' previous post, but avoids the need for building madwifi drivers

1) Download the alternative installation CD image for 64-bit intrepid (e.g. from http://releases.ubuntu.com/8.10/ubuntu-8.10-alternate-amd64.iso.torrent)

2) Download the 32-bit Intrepid live CD image (e.g. from http://releases.ubuntu.com/8.10/ubuntu-8.10-desktop-i386.iso.torrent)

3) Burn both images to separate CDs

4) Boot laptop from the 64-bit CD, and follow instructions to install Ubuntu

5) When the installation is complete, you will be prompted to remove the installation CD and restart. This will fail due to the faulty ath_pci module. Instead, replace the 64-bit CD with the 32-bit CD and restart.

6) Select the "Try Ubuntu without affecting my system" option from the boot menu, and wait for the live CD session to start

7) Click on the Places->Removable drives menu and select the partition containing the root of the 64-bit installation. A link to the partition appears on the desktop

8) Open a terminal window (Applications->Accessories->Terminal) and locate the partition that was mounted in step 7:

cd /media/<name of partition>

9) edit the blacklist file:

sudo gedit etc/modprobe.d/blacklist

10) Blacklist the ath_pci module by adding the following line to the blacklist file in the text editor:

blacklist ath_pci

11) Save the blacklist file (file->save) and exit the text editor (file->exit)

12) reboot the laptop (remove the CD when prompted):

sudo reboot

13) The computer now successfully boots in 64-bit Ubuntu. Log in, using username and password

14) Wireless LAN does not work as the required module is unavailable. Connect the laptop to a router with an ethernet cable and wait for the network connection to be established

15) Start a terminal window (as in step 8) and install the backports modules and any required updates:

sudo apt-get update
sudo apt-get install linux-backports-modules-intrepid
sudo apt-get upgrade

16) Reboot the computer as in step 12 and remove the ethernet cable. The computer now starts, with a working wireless connection

Roy Jamison (xteejx) wrote :

I will definately try this in a few hours, will report back if it works and confirm it. Thanks Alex.

Dimitrios Symeonidis (azimout) wrote :

linux-backports-modules should be in the livecd. this should allow you to replace step 14 with just inserting the livecd (it should still be in the sources list) and install as in step 15.
can someone confirm this?

Dimitrios, the live CD downloaded in this workaround was 32-bit (as the
64-bit live CD won't boot due to the broken ath_pci), so I think the
architecture will be incompatible.

The 64-bit alt CD contains the required package, so that may be a good
alternative source to a wired connection in step 14/15

Thanks,

Alex

On Thu, Nov 13, 2008 at 4:57 PM, Dimitrios Symeonidis <email address hidden>wrote:

> linux-backports-modules should be in the livecd. this should allow you to
> replace step 14 with just inserting the livecd (it should still be in the
> sources list) and install as in step 15.
> can someone confirm this?
>
> --
> [intrepid] Compaq Presario CQ50 cannot install/boot
> https://bugs.launchpad.net/bugs/287244
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Dimitrios Symeonidis (azimout) wrote :

alex, that's not what i said. what i propose is (after installing with 64-bit and booting with 32-bit to blacklist ath_pci) to boot the installed 64-bit system, THEN insert the 64-bit alternate cd and install the package from the livecd...

Roy Jamison (xteejx) wrote :

I'm confused, and it hasn't worked. Installed 64 bit Intrepid from the alternate cd fine. I then rebooted ok, but I didn't have 32 bit, so I used 32 bit Hardy to boot LiveCD which worked, blacklisted ath_pci in modprobe.d/blacklist and rebooted, it didn't work, or am I meant to install the linux-backports thing during the liveCD session? I got as far as Alex's step 12. Rebooted fine and bang...trace threw itself up again.
Same problem really...64 bit will NOT boot, even after blacklisting ath_pci so I assume that's not the problem. Help please!

Alex Valavanis (valavanisalex) wrote :

Perhaps you edited the temporary blacklist file in the live CD session
rather than the one on your hard drive?

In other words, when you're in a live CD session, DO NOT type
$ sudo gedit /etc/modprobe.d/blacklist # Note the forward slash before "etc"

as this will edit the blacklist for the temporary session.

Instead, you need to mount your hard drive as in step 7. Let's say the
partition is called "root_partition" (replace this with the name of the
partition that you selected in step 7)

You need to edit the blacklist on that partition:

$ sudo gedit /media/root_partition/etc/modprobe.d/blacklist

On Fri, Nov 14, 2008 at 1:09 AM, Teej <email address hidden> wrote:

> I'm confused, and it hasn't worked. Installed 64 bit Intrepid from the
> alternate cd fine. I then rebooted ok, but I didn't have 32 bit, so I used
> 32 bit Hardy to boot LiveCD which worked, blacklisted ath_pci in
> modprobe.d/blacklist and rebooted, it didn't work, or am I meant to install
> the linux-backports thing during the liveCD session? I got as far as Alex's
> step 12. Rebooted fine and bang...trace threw itself up again.
> Same problem really...64 bit will NOT boot, even after blacklisting ath_pci
> so I assume that's not the problem. Help please!
>
> --
> [intrepid] Compaq Presario CQ50 cannot install/boot
> https://bugs.launchpad.net/bugs/287244
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Roy Jamison (xteejx) wrote :

Hi,
The HD was already mounted at /media/disk which i cd'd to and then done sudo gedit /etc ..... oops I just realised what I've done :o) lol the forward slash....typical....will try again thanks Alex - user error as usual :)

Roy Jamison (xteejx) wrote :

Can confirm this works perfectly, although I used Internet install of Intrepid and used Hardy 32 bit to boot a Live CD session with the generic.all_generic_ide=1 option.

Bogs (bogdan-is-me) wrote :

What is the driver model/version installed by linux-backports-modules? If you compile the new madwifi driver then update your kernel files, you need to recompile the driver and reintegrate it. Is it the same with linux-backports-modules?

And we know it's the ath_pci 0.9.4 that's causing the problem, but do we know why? Or who should we report this to? Because I really hope this will be fixed by the next Ubuntu release.

Alex Valavanis (valavanisalex) wrote :

linux-backports-modules provides ath5k, which I think is the driver required
for the atheros wireless LAN adapter. Once you install the package, you
don't need to build anything or do any other configuration... the module is
automatically loaded when the system restarts (I'm afraid I don't know how
these things work!).

I've no idea why ath_pci is broken on 64-bit systems, but I think it's part
of linux-restricted-modules-2.6.27-7-generic, which is maintained by the
Ubuntu Core Developers.

I agree it should be a critical bug for the next release - this laptop has
been heavily promoted by PC World, and as an ubuntu user of 3 years, I only
just managed to work round it. This sort of thing can really put newcomers
off!

On Mon, Nov 17, 2008 at 8:50 PM, Bogs <email address hidden> wrote:

> What is the driver model/version installed by linux-backports-modules?
> If you compile the new madwifi driver then update your kernel files, you
> need to recompile the driver and reintegrate it. Is it the same with
> linux-backports-modules?
>
> And we know it's the ath_pci 0.9.4 that's causing the problem, but do we
> know why? Or who should we report this to? Because I really hope this
> will be fixed by the next Ubuntu release.
>
> --
> [intrepid] Compaq Presario CQ50 cannot install/boot
> https://bugs.launchpad.net/bugs/287244
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Alex Valavanis (valavanisalex) wrote :

Problem appears to be with ath_pci module, which is contained in linux-restricted-modules package. I'm not sure whether it's appropriate for me to assign it to the package maintainers - sorry if it wasn't, I'm new to this!

Changed in linux:
assignee: nobody → ubuntu-core-dev

On Mon, Nov 17, 2008 at 09:47:46PM -0000, Alex Valavanis wrote:
> Problem appears to be with ath_pci module, which is contained in linux-
> restricted-modules package. I'm not sure whether it's appropriate for
> me to assign it to the package maintainers - sorry if it wasn't, I'm new
> to this!
>
> ** Changed in: linux-restricted-modules (Ubuntu)
> Sourcepackagename: linux => linux-restricted-modules
> Assignee: (unassigned) => Ubuntu Core Development Team (ubuntu-core-dev)

Filing it on the correct package is sufficient to bring it to the attention
of the appropriate team (in this case, the kernel team, which is also listed
as the Maintainer on the package...not sure where you got ubuntu-core-dev).

--
 - mdz

Changed in linux-restricted-modules:
assignee: ubuntu-core-dev → nobody
Matt Zimmerman (mdz) wrote :

DSC01193.JPG includes the curious messages "HARDWARE ERROR" and "This is not a software problem!"

Alex Valavanis (valavanisalex) wrote :

Apologies - I got Ubuntu Core Developers from http://packages.ubuntu.com/intrepid/linux-restricted-modules-generic

Roy Jamison (xteejx) wrote :

This is a kernel problem, and as stated there is sod all wrong with my hardware! At the time of Hardy.1 install my laptop was 2 weeks old. Trust me on this, this is NOT a hardware fault I have run memtest just in case, passed it fine. Its to do with ath_pci as stated above. Also in Hardy the kernel boot option (LiveCD) generic.all_generic_ide=1 allows it to boot fine, but restricted modules aren't automatically loaded on the LiveCD for atheros wifi is it?
Also, the correct package is linux-restricted-modules, or at the very least just linux, as it is to do with the kernel.

red_team316 (redteam316) wrote :

I just purchased a:

HP G50-109NR Notebook PC
NVIDIA GO 8200M Graphics
Athlon X2 64 Processor
802.11b/g Wireless LAN
Integrated 5-in-1 Digital Media Reader
Windows Vista pre-loaded

for cheap as a "black friday" / day-after-thanksgiving special. The ath_pci kernel panic affects this PC too. I can confirm that blacklisting ath_pci in /etc/modprobe.d/blacklist solves the kernel panic when booting the LiveCD.

How I did it is much easier than the numerous steps listed above. I used reconstructor (www.reconstructor.aperantis.com) to remaster a Hardy x86_64 LiveCD. Edited the blacklist file and apt-get installed the linux-backports-modules-hardy.

I have not installed yet, although it appears that wifi is disabled while running the LiveCD. The BIOS options are pathetic and the only way to enable/disable the wifi apparently is thru a button built into the laptop. When pressing it, the lighted button should turn blue to signal that wifi is active, although it doesn't appear to do anything after pressing it. Remember, this is running the LiveCD.

Major thanks to Teej and Alex for the work they have done. It's amazing that I have diagnosed the problem, did a few intelligent google searches on the subject, found this great information supplied by Teej and Alex, and created a LiveCD that at least boots within less than 48 hours of purchase.

John Pugh (jpugh) wrote :

Added to linux (Ubuntu) as well

Changed in linux:
status: New → Confirmed
Roy Jamison (xteejx) wrote :

I know you're not supposed to change status/importance youself if you report it, but this has been fixed in the latest Jaunty daily's can someone change this to Fix Released? Thank you.

Bogs (bogdan-is-me) wrote :

You know this for sure? Did you try it yourself?

Roy Jamison (xteejx) wrote :

Of course :o)
It doesn't seem a problem now the conflicting ath_pci module has been fixed somewhere, but yes I as the original reporter can confirm this is the case now, problem solved.

Fixed as in just the kernel panic or does the wireless also work after boot
too? Was this tested on a Jaunty alpha and it works?

To get it working on Hardy, I blacklisted the ath_pci but the only way I
could get the actual wireless itself working for me was to use NDISwrapper
integrated into the LiveCD. The madwifi drivers at the time still had/have
problems.

On Thu, Jan 22, 2009 at 5:12 AM, Teej <email address hidden> wrote:

> Of course :o)
> It doesn't seem a problem now the conflicting ath_pci module has been fixed
> somewhere, but yes I as the original reporter can confirm this is the case
> now, problem solved.
>
> --
> [intrepid] Compaq Presario CQ50 cannot install/boot
> https://bugs.launchpad.net/bugs/287244
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Roy Jamison (xteejx) wrote :

No need to blacklist ath_pci the boot problem has been fixed in Jaunty, no more kernel panic, install and boot there is no problems. Only thing at the moment is that once installed in Hardware Drivers you need to remove the Atheros driver that is installed by default and reboot and then it works, although I keep getting intermittent dropouts during high bandwidth usage, but this has been filed elsewhere under Jaunty alpha.

Details above are current and working as of 23rd Jan 2009, cannot guarantee this will be the same in the final version of Jaunty, as packages/code may change which may re-affect the above problem. Perhaps others with the same laptop/hardware can test the ISO's as well?

Steve Langasek (vorlon) wrote :

Marking as fixed, per feedback from Teej. Thanks for following through on this bug!

Changed in linux:
status: Confirmed → Invalid
Changed in linux-restricted-modules:
status: Confirmed → Fix Released
Roy Jamison (xteejx) wrote :

No probs, thanks Steve

To post a comment you must log in.